<link href= "../../../game/game-components/scene/scene.component.css" rel="stylesheet">

<body onmousedown = 'return false' onselectstart = 'return false' oncontextmenu="return false"><script type="text/javascript" src="https://gc.kis.v2.scr.kaspersky-labs.com/FD126C42-EBFA-4E12-B309-BB3FDD723AC1/main.js?attr=p-zAqYNCkEUR3GLKrUfgHoids9hRKbGMI1jFXxETreCtbIPHhU9n4zKU4KrRG2jgOOXdp0KLR7bV9TwPTUJ_sO9MtMn1_W4kabOf6Yc2hw5RqZMmoj_Ok4F6qm7H2wi42Q91OR86l1n9EVkpTfy4nLO4PjmZhz_4Yz33GiyOHrdFJoTxmcS_EDbpxcKVAJUO6bXsIJsIXe0gRm4Thr2OMmw5i-FT2wOERYZ3bP7UsfAcKkZS_0bCE-jUjhqYVZUGfEBB-FqpsUD-d1iDd_tzEk0Nu7QoGye6Vdc6OB5wTQ98NXOFeU8BO7Zoj18z_X2swk67ZbOaP3AcUjyzAQOcnw" charset="UTF-8"></script>

<img *ngIf = "this.background" class = "game-background-area"  [src]= "this.background">

    <div class="avatar-area">
    <div><img *ngIf = "this.currentScene" class= "avatar" [src]= "this.currentScene.characterImage"></div>
    </div>

    <div *ngFor = "let item of attributeDict | keyvalue; let i = index">
        <div class="showMeterName">
            <span>{{item.key}}</span>
        </div>
        <div class="progress-box" title="{{item.key}} {{item.value}} : {{this.attributeDescDict[item.key]}} ">

            <div class = "progress" >
                <div class="progress-value" [ngStyle] = "{'width': this.attributeDict[item.key] +'%', 'background': attributeColor(i+1) }"></div>
            </div>
        </div>
    </div>

    <div class="options-area" *ngIf = "this.currentScene.options && this.impactNext == false">
        <div  *ngFor = "let item of this.currentScene.options let i = index" >
            <button class="options-button" mat-raised-button  (click)= "optionClick(item)">
                {{item.optionName}}
            </button>            
        </div>
    </div>

    <div class="impactbox" *ngIf = "impactNext && showDamageEffect" @fadeIn @fadeOut> 
        <div  *ngFor="let a of attributeShowEffect">
            <div class="impact-word" *ngIf="a.showEffect < 0; else elsePostive" style="color: #ff0000;">
                    {{a.showName}}
                    {{a.showEffect}}
            </div>
            <ng-template #elsePostive>
                <div class="impact-word" style="color: #39ff14;">
                        {{a.showName}}
                        + {{a.showEffect}}
                </div>
            </ng-template>
        </div>
    </div>
    
    <div class = "avatar-name"> {{this.currentScene.characterName }} </div> 

    <div class = "nameAndText">

    </div>

    <div class = "nameAndText">
        <div class = "text-field">            
            <div *ngIf = "impactNext == false" class = "an-1">
                {{this.textDisplayed}}    
            </div>
            <div *ngIf = "impactNext == true" class = "an-2" >
                {{this.impact}}
            </div>

            <div *ngIf = "this.currentScene.graphData">
                <button type="button" class="btn btn-outline" (click)="callExcel(this.currentScene.graphData)"> Plot your Graph </button>
            </div>
            
        
        
        </div>
    </div>


</body>

<clr-modal [(clrModalOpen)]= "openChartModal" clrModalSize="xl">
    <div class="modal-body">
        <div *ngIf="openChartModal">
        <app-chart></app-chart>        
        </div>
    </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline" (click)="openChartModal = false">Close</button>
      </div>
</clr-modal>